%define	name	kmerlin
%define	version	1.3
%define	release	0.Beta4.0.9mdk
%define	summary	MSN Messenger for Linux

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://kmerlin.sourceforge.net
Group:		Networking/Instant messaging
Source0:	%{name}-%{version}Beta4.tar.bz2
#Source1:	nb.po.tar.bz2
Source2:	%{name}-icons.tar.bz2
Source3:	%{name}-nb.po.bz2
#Patch to remove non-existing ro support, and add nb support
#Patch0:	kmerlin.po.diff.bz2
#Patch1:	kmerlin.desktop.diff.bz2
#Patch2:	%{name}-server-fix.patch.bz2
Patch3:		%{name}-old-automake.patch.bz2
BuildRequires:	libqt3-devel >= 3.1 libjpeg-devel kdelibs-devel
BuildRequires:	libart_lgpl-devel libfam-devel libpng-devel libarts-devel
BuildRequires:	XFree86-devel autoconf2.5 zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:        %{summary}

%description
A complete MSN Messenger for KDE and Linux. Very easy to use.
If you have to use MSN Chat and/or Hotmail mostly, you must install
this package.

%prep
%setup -q -n %{name}-%{version}Beta4
#%patch0 -p0
#%patch1 -p0
#%patch2 -p0
%patch3 -p0
bzcat %{SOURCE3} > po/nb.po
#correct invalid locale names
perl -pi -e "s#zh-#zh_#g" po/Makefile.in
for f in `find  . -type f -name zh-\*`
	do mv $f `echo $f| sed s/-/_/g`
done

%build
%make -f Makefile.cvs
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama \
		--enable-final
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

%{__install} -d $RPM_BUILD_ROOT/%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Networking/Instant messaging" $RPM_BUILD_ROOT/%{_datadir}/applnk/Internet/%{name}.desktop $RPM_BUILD_ROOT/%{_menudir}/%{name} kde

%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__tar} -xOjf %{SOURCE2} %{name}-icons/%{name}-16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE2} %{name}-icons/%{name}-32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE2} %{name}-icons/%{name}-48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{name}.png

#Relativisation of symlink, rpm fails to do it
%{__rm} -f $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common
ln -sf ../common $RPM_BUILD_ROOT%{_datadir}/doc/HTML/en/%{name}/common

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/%{name}
%doc AUTHORS ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}_client
%{_datadir}/apps/%{name}
%{_datadir}/icons/locolor/16x16/apps/%{name}.png
%{_datadir}/icons/locolor/32x32/apps/%{name}.png
%{_datadir}/applnk/Internet/%{name}.desktop
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.9mdk
- rebuild

* Thu Jun 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.8mdk
- drop --target and --host to avoid invalid binnames
- rm -rf $RPM_BUILD_ROOT in correct stage
- pass compile flags to configure in stead of make
- use correct dir for qt3 (lib64 issues..)
- --with-xinerama
- macroize

* Thu Mar 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.7mdk
- added some doc's
- smarter way for dealing with invalid binnames
- minor cleanups

* Wed Mar 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.6mdk
- don't rm -rf buildroot in prep stage
- buildrequires

* Mon Mar 10 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.5mdk
- bah! I misunderstood the locale string, fixed

* Mon Mar 10 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.4mdk
- fixed a couple of strings in the nb translation that were'nt supposed to be
  translated
- use more macros

* Sun Mar 09 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.3mdk
- fix incorrect localenames for zh_CN and zh_TW

* Sat Mar 08 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.2mdk
- Added updated nb translation
- configure with libdir to satisfy rpmlint

* Tue Feb 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta4.0.1mdk
- Dropped Patch2
- 1.3Beta4(for real..)
- Patch3 for using older automake

* Tue Jan 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.3-0.Beta3.0.1mdk
- From Teddy: Patch #2, msn server seems to have changed
- 1.3Beta3
- Cleanups
- Use --enable-final
- Added libfam-devel, libarts-devel, libart_lgpl-devel, libjpeg-devel,
  kdelibs-devel, libpng-devel, autoconf2.5, automake1.6, XFree86-devel
  to BuildRequires
- Dropped Source #1, nb po files, merged in upstream
- Fixed icons
- Dropped Patch0 & Patch1

* Mon Oct 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2-7mdk
- from Per yvind Karlsen <peroyvind@delonic.no> 1.2-7mdk
	- Recompiled for kde-3.1(thanks to Teddy for noticing)

* Fri Sep 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2-6mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Corrected a typo
	- Added some info to the kmerlin menuitem

* Thu Sep 19 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.2-5mdk
- Added norwegian bokml translation

* Wed Sep 18 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.2-4mdk
- Use %find_lang macro

* Wed Sep 18 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.2-3mdk
- Use kdedesktop2menu.pl

* Tue Sep 17 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.2-2mdk
- Fixed the menuitem

* Tue Sep 17 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.2-1mdk
- Initial release
